<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p align="center"><a href="http://www.quickintranet.com"><img src="http://www.quickintranet.com/infosec/quickintranet-com.jpg" border="0"></a><br>
  CopyRight 2004<br>
  QuickIntranet.com<br>
  <a href="http://www.quickintranet.com">http://www.QuickIntranet.com </a></p>
<p align="center"><font size="5" face="Arial, Helvetica, sans-serif"></font></p>
<?php 

function HTML_Head() { 
    echo " 
    <HTML><HEAD> 
    <TITLE>Processing Form</TITLE> 
    </HEAD> 
    <BODY BGCOLOR=\"#D5D5AB\">"; 
} 

function HTML_Foot() { 
    echo "</body></html>"; 
} 

function Database_Entries($msg) { 
    echo $msg; 
} 

	if ( ! empty( $PCatagory ) ) {
	// print "<ul>\n\n";
	foreach ( $PCatagory as $value ) {
	 //  print "<li>$value<br>\n";
	}
	//print "</ul>";




function Output_Entries() { 
    /* 
        Make the connection to the database. The syntax is 
        odbc_connect( 'SYSTEM_DSN' , 'USER', 'PASSWORD' ); 
        $cnx will hold the 
        pconnect is used to establish a persistent database 
        connection to the Database until the procedure is completed. 
    */ 
	


    $cnx = odbc_connect( 'HelpDesk' , '', '' ); 
    if (!$cnx) { 
        Error_handler( "Error in odbc_connect" , $cnx ); 
    } 

    // send a simple odbc query . returns an odbc cursor 
    $cur= odbc_exec( $cnx, "select ID,FirstName,LastName,PCatagory,describe from data" ); 
    if (!$cur) { 
        Error_handler( "Error in odbc_exec( no cursor returned ) " , $cnx ); 
    } 
    echo "<table border=1><tr><th>ID</th><th>First Name</th>". 
        "<th>Last Name</th><th>PCatagory</th><th>describe</th></tr>\n"; 
    $nbrow=0;   //Local variable to count number of rows 

    // fetch the succesive result rows 
    while( odbc_fetch_row( $cur ) ) { 
        $nbrow++; 
        $ID= odbc_result( $cur, 1 ); // get the field "Index" 
        $FirstName= odbc_result( $cur, 2 ); // get the field "FirstName" 
        $LastName= odbc_result( $cur, 3 ); // get the field "LastName" 
        $PCatagory= odbc_result( $cur, 4 ); // get the field "PCatagory" 
		$value= odbc_result( $cur, 5 ); // get the field "describe" 

        echo "<tr><td>$ID</td><td>$FirstName</td>". 
            "<td>$LastName</td><td>$PCatagory</td></tr>\n"; 
    } 

    echo "<tr><td colspan=2>$nbrow entries </td></tr></table>"; 

    // close the connection. important if persistent connection are "On" 
    odbc_close( $cnx); 
} 

function Error_Handler( $msg, $cnx ) { 
    echo "$msg \n"; 
    odbc_close( $cnx); 
    exit(); 
} 

function Enter_New_Entry($FirstName,$LastName,$PhoneNumber) { 

    /* 
        First, we create a connection to our ODBC source. This is done by creating 
        a connection. Once this is done, we are returned an ODBC connection number. 
        We use this number to use the ODBC functions within PHP. 
    */ 
	
	/*
		Here i'm going to try and read in the values for the menu
	*/

	}
	print "</ul>";
	/* 
		End Test Code
	*/		

    $cnx = odbc_connect( 'HelpDesk' , '', '' ); 
    if (!$cnx) { 
        Error_handler( "Error in odbc_connect" , $cnx ); 
    } 
    $SQL_Exec_String = "Insert Into data (FirstName, LastName, PCatagory,describe) 
            Values ('$FirstName', '$LastName', '$PCatagory', '$value')"; 

    $cur= odbc_exec( $cnx, $SQL_Exec_String ); 
    if (!$cur) { 
        Error_handler( "Error in odbc_exec( no cursor returned ) " , $cnx ); 
    } 

    odbc_close( $cnx); 
} 

$strOldEntries = "Previous Entries in database"; 
$strNewEntries = "Updated version of databse (after entries)"; 

HTML_Head(); 
Database_Entries($strOldEntries); 
Output_Entries(); 
Enter_New_Entry($FirstName,$LastName,$PCatagory,$value); 
Database_Entries($strNewEntries); 
Output_Entries(); 
HTML_Foot(); 

?> 

